mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Serialization.ISurrogateSelector System.Runtime.InteropServices.ComVisible(true)

A serialization surrogate gives the users an object that can handle the serialization requirements of a different object and can transform the serialized data if necessary.

Assists formatters in selection of the serialization surrogate to delegate the serialization or deserialization process to.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  Adds a surrogate to the list of checked surrogates.

  The for which the surrogate is required. The context-specific data. The surrogate to call for this type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The last selector added to the list will be the first one checked.

  Adds the specified that can handle a particular object type to the list of surrogates.

  The surrogate selector to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.ISurrogateSelector To be added

  Returns the next selector on the chain of selectors.

  The next on the chain of selectors.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.ISerializationSurrogate `` `` `` To be added: an object of type 'Type' To be added: an object of type 'StreamingContext' To be added: an object of type 'ISurrogateSelector&' To be added To be added: an object of type 'ISerializationSurrogate' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method does not check chained surrogates.

  Removes the surrogate associated with a given type.

  The for which to remove the surrogate. The for the current surrogate.